curl --request GET \
--url https://api.jtl-cloud.com/erp/v2/production-orders \
--header 'Authorization: Bearer <token>' \
--header 'x-tenant-id: <x-tenant-id>'import requests
url = "https://api.jtl-cloud.com/erp/v2/production-orders"
headers = {
"x-tenant-id": "<x-tenant-id>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'x-tenant-id': '<x-tenant-id>', Authorization: 'Bearer <token>'}
};
fetch('https://api.jtl-cloud.com/erp/v2/production-orders', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"totalItems": 123,
"pageNumber": 123,
"pageSize": 123,
"items": [
{
"id": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"productionItemId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"billOfMaterialId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"lotCount": 123,
"lotSize": 123,
"targetTotalQuantity": 123,
"actualQuantity": 123,
"isTargetTotalQuantityBelowLotSizeAllowed": true,
"progress": 123,
"issueNumber": "<string>",
"issueDate": "2023-11-07T05:31:56Z",
"lastModificationTimestamp": "2023-11-07T05:31:56Z",
"dispositionId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"targetStartTimestamp": "2023-11-07T05:31:56Z",
"targetCompletionTimestamp": "2023-11-07T05:31:56Z",
"actualStartTimestamp": "2023-11-07T05:31:56Z",
"actualCompletionTimestamp": "2023-11-07T05:31:56Z",
"projectNumber": "<string>",
"referenceNumber": "<string>",
"notice": "<string>",
"releaseTimestamp": "2023-11-07T05:31:56Z",
"deliveryTimestamp": "2023-11-07T05:31:56Z",
"creationUserId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"releaseUserId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"lastModificationUserId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"resourceTypeId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"workbenchResourceId": "b45f6432-2462-4c6f-b00f-1d9d01000000"
}
],
"totalPages": 123,
"hasPreviousPage": true,
"hasNextPage": true,
"nextPageNumber": 123,
"previousPageNumber": 123
}{
"type": "https://www.rfc-editor.org/rfc/rfc7231#section-6.5.1",
"title": "One or more validation errors occurred.",
"status": 400,
"instance": "/api/route",
"traceId": "0HMPNHL0JHL76:00000001",
"detail": "<string>",
"errors": [
{
"name": "Error or field name",
"reason": "Error reason",
"code": "<string>",
"severity": "<string>"
}
]
}{
"type": "https://www.rfc-editor.org/rfc/rfc7231#section-6.5.1",
"title": "One or more validation errors occurred.",
"status": 400,
"instance": "/api/route",
"traceId": "0HMPNHL0JHL76:00000001",
"detail": "<string>",
"errors": [
{
"name": "Error or field name",
"reason": "Error reason",
"code": "<string>",
"severity": "<string>"
}
]
}{
"type": "https://www.rfc-editor.org/rfc/rfc7231#section-6.5.1",
"title": "One or more validation errors occurred.",
"status": 400,
"instance": "/api/route",
"traceId": "0HMPNHL0JHL76:00000001",
"detail": "<string>",
"errors": [
{
"name": "Error or field name",
"reason": "Error reason",
"code": "<string>",
"severity": "<string>"
}
]
}{
"type": "https://www.rfc-editor.org/rfc/rfc7231#section-6.5.1",
"title": "One or more validation errors occurred.",
"status": 400,
"instance": "/api/route",
"traceId": "0HMPNHL0JHL76:00000001",
"detail": "<string>",
"errors": [
{
"name": "Error or field name",
"reason": "Error reason",
"code": "<string>",
"severity": "<string>"
}
]
}Retrieves all production orders.
Retrieves all production orders.
Paged query. Query parameters: pageNumber (default 1), pageSize (default 100). Sorting via sortBy (comma-separated fields, applied as OrderBy then ThenBy) and sortDescending (default false). Date filtering per date field via After (greater than) and Before (less than).
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Headers
The tenant ID for the target ERP instance.
Query Parameters
Number of the page of items to fetch. Defaults to 1 when omitted.
Size of the page specified by PageNumber. Defaults to 100 when omitted.
Property to sort by. Multiple comma-separated fields are applied in order (OrderBy, then ThenBy).
Sort in descending order. Defaults to ascending when omitted.
Only include items whose TargetStartTimestamp is after (greater than) this value.
Only include items whose TargetStartTimestamp is before (less than) this value.
Only include items whose TargetCompletionTimestamp is after (greater than) this value.
Only include items whose TargetCompletionTimestamp is before (less than) this value.
Only include items whose ActualStartTimestamp is after (greater than) this value.
Only include items whose ActualStartTimestamp is before (less than) this value.
Only include items whose ActualCompletionTimestamp is after (greater than) this value.
Only include items whose ActualCompletionTimestamp is before (less than) this value.
Only include items whose IssueDate is after (greater than) this value.
Only include items whose IssueDate is before (less than) this value.
Only include items whose ReleaseTimestamp is after (greater than) this value.
Only include items whose ReleaseTimestamp is before (less than) this value.
Only include items whose DeliveryTimestamp is after (greater than) this value.
Only include items whose DeliveryTimestamp is before (less than) this value.
Only include items whose LastModificationTimestamp is after (greater than) this value.
Only include items whose LastModificationTimestamp is before (less than) this value.
Was this page helpful?